// JavaScript Document

function disappear(str,a)
{
  
   var d_str="ddd"+a+str;
   document.getElementById(d_str).style.display="none"; 
   //document.getElementById(d_str).innerHTML="";
   
}

function openUrl(url)
 
 { 
    var objxml=new ActiveXObject("Microsoft.XMLHttp") 
    objxml.open("GET",url,false); 
    objxml.send(); 
    retInfo=objxml.responseText; 
    if (objxml.status=="200")
	{ 
      return retInfo; 
    } 
    else
	{ 
      return "-2"; 
     } 
} 


function display(str,a)
{
   
   var retCode;
   
   var d_str="ddd"+a+str;
   
   var url;
	    url=window.location.href;
        //alert(window.location.href);
        var point;
	    point=url.lastIndexOf('/')+1;
        var strstr= url.substring(0,point);
        //url 除过最后的文件------------------
	    //alert(str);
		
   
   myurl=strstr+"get_user_info.php?user_id="+str;
		
   //alert(myurl);
   
   retCode=openUrl(myurl);
		 
   //alert("服务器返回："+retCode);
   //infoBoard.innerHTML=retCode; 
 
		
   var obj;
   
   obj=document.getElementById(d_str);
  
   obj.style.width=230;
   obj.style.height=60;
   obj.style.left=70;
   obj.style.top=6;
  
   //obj.style.position='absolute';
   obj.style.position='relative';
  
   obj.style.borderStyle='solid'; 	
   
   obj.style.borderWidth=3;
   
   //obj.style.borderColor='#95B5D5';
   obj.style.borderColor='#ffcc99';
   obj.style.zIndex=1;
   
   obj.style.borderTopWidth=2;
   obj.style.borderBottomWidth=2;
   
   obj.style.backgroundColor='#F5F9FA';
   obj.style.display='block';
   obj.innerHTML=retCode;
   
   
   /*		
        switch(retCode)
	    { 
		
        case "-2": 
                infoBoard.innerHTML='<font color=red>查询中...</font>';
				break; 
				
        case "1": 
                infoBoard.innerHTML='<font color=red>该用户名已经存在！</font>';
				//setTimeout(test,1000);//延时1秒
				document.form1.user_ni.value="";
				document.form1.user_ni.focus();
				break; 
				
        case "0": 
                infoBoard.innerHTML='<font color=red>恭喜！该用户名可以注册！</font>'; 
				//setTimeout(test,1000);//延时1秒
			
				
       } 
	   */	
       return; 
   
}



